------------------------------------------------------
-- Slash command handler
------------------------------------------------------
function SimpleMp3_SlashCommands(cmd)
    local command = string.lower(cmd);

    if (string.lower(command) == "") then
        if (DEFAULT_CHAT_FRAME) then
            DEFAULT_CHAT_FRAME:AddMessage(SIMPLEMP3_SLASHCOMMAND.. SIMPLEMP3_SLASHCOMLIST);
        end

    elseif (string.lower(command) == "icon") then
        if (SimpleMp3MiniMapButton:IsVisible()) then
            SimpleMp3MiniMapButton:Hide();
        else
            SimpleMp3MiniMapButton:Show();
        end

    elseif (string.lower(command) == "volume") then
        if (SimpleMp3VolumeForm:IsVisible()) then
            SimpleMp3VolumeForm:Hide();
        else
            SimpleMp3VolumeForm:Show();
        end


    elseif (string.lower(command) == "player") then
        if (SimpleMp3Form:IsVisible()) then
                SimpleMp3Form:Hide();
            else
                SimpleMp3Form:Show();
            end

    elseif (string.lower(command) == "playlist") then
        if (SimpleMp3PlaylistForm:IsVisible()) then
                SimpleMp3PlaylistForm:Hide();
            else
                SimpleMp3PlaylistForm:Show();
            end

    elseif (string.lower(command) == "library") then
        if (SimpleMp3LibraryForm:IsVisible()) then
                SimpleMp3LibraryForm:Hide();
            else
                SimpleMp3LibraryForm:Show();
            end

    elseif (string.lower(command) == "play") then
        SimpleMp3_PlayStopClick();

    elseif (string.lower(command) == "stop") then
        SimpleMp3_PlayStopClick();

    elseif (string.lower(command) == "next") then
        SimpleMp3_NextClick();

    elseif (string.lower(command) == "prev") then
        SimpleMp3_PrevCLick();

    end
end
